Add a SOAP header to the response

- « SoapServer::addFunction

- SoapServer::__construct »

- PHP Manual
- SoapServer
- Add a SOAP header to the response

# SoapServer::addSoapHeader

(PHP 5 >= 5.1.3, PHP 7, PHP 8)

SoapServer::addSoapHeader — Add a SOAP header to the response

### Description

public SoapServer::addSoapHeader(SoapHeader `$header`): void

Adds a SOAP header to be returned with the response to the current request.

### Parameters

`header`

  The header to be returned.

### Return Values

No value is returned.